facebook_pixel

Do Krotos products support Logic 10.5? Back to knowledge base

Apple recently released a large update to Logic (version 10.5), which has affected many plugin manufacturers, including Krotos.

All Krotos plugins are compatible with this version of Logic apart from Dehumaniser 2, which may crash with some presets and settings.

We are working on an update to resolve this issue as soon as possible. All users will be notified when this update is available

Still have questions?